image: node:14.20.1

stages:
  - build
  - deploy

cache:
  paths:
    - node_modules/

build:
  stage: build
  script:
    - yarn install
    - yarn build
  artifacts:
    paths:
      - dist/

pages:
  stage: deploy
  script:
    - mv dist public/
  artifacts:
    paths:
      - public/
  only:
    - master
